# Uses of Interface
com.sun.mirror.type.ReferenceType

Packages that use ReferenceType
Package
Description
com.sun.mirror.declaration
Interfaces used to model program element declarations.
com.sun.mirror.type
Interfaces used to model types.
com.sun.mirror.util
Utilities to assist in the processing of declarations and types.

## Uses of ReferenceType in com.sun.mirror.declaration

Methods in com.sun.mirror.declaration that return types with arguments of type ReferenceType
Modifier and Type
Method
Description
`Collection<ReferenceType>`
TypeParameterDeclaration.`getBounds()`
Returns the bounds of this type parameter.
`Collection<ReferenceType>`
ExecutableDeclaration.`getThrownTypes()`
Returns the exceptions and other throwables listed in this method or constructor's `throws` clause.

## Uses of ReferenceType in com.sun.mirror.type

Subinterfaces of ReferenceType in com.sun.mirror.type
Modifier and Type
Interface
Description
`interface`
`AnnotationType`
Represents an annotation type.
`interface`
`ArrayType`
Represents an array type.
`interface`
`ClassType`
Represents a class type.
`interface`
`DeclaredType`
Represents a declared type, either a class type or an interface type.
`interface`
`EnumType`
Represents an enum type.
`interface`
`InterfaceType`
Represents an interface type.
`interface`
`TypeVariable`
Represents a type variable.
Methods in com.sun.mirror.type that return types with arguments of type ReferenceType
Modifier and Type
Method
Description
`Collection<ReferenceType>`
WildcardType.`getLowerBounds()`
Returns the lower bounds of this wildcard.
`Collection<ReferenceType>`
WildcardType.`getUpperBounds()`
Returns the upper bounds of this wildcard.

## Uses of ReferenceType in com.sun.mirror.util

Methods in com.sun.mirror.util with parameters of type ReferenceType
Modifier and Type
Method
Description
`void`
SimpleTypeVisitor.`visitReferenceType(ReferenceType t)`
Visits a reference type.
`void`
TypeVisitor.`visitReferenceType(ReferenceType t)`
Visits a reference type.
Method parameters in com.sun.mirror.util with type arguments of type ReferenceType
Modifier and Type
Method
Description
`WildcardType`
Types.`getWildcardType(Collection<ReferenceType> upperBounds, Collection<ReferenceType> lowerBounds)`
Returns a new wildcard.